Bug 221059 - Review Request: cowsay - configurable speaking/thinking cow
Review Request: cowsay - configurable speaking/thinking cow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-31 13:43 EST by Michał Bentkowski
Modified: 2008-05-05 17:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 15:49:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
wrapper script I use to randomize cowsay (319 bytes, text/plain)
2007-01-01 23:05 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Michał Bentkowski 2006-12-31 13:43:29 EST
Spec URL: http://ecik.nonlogic.org/cowsay/cowsay.spec
SRPM URL: http://ecik.nonlogic.org/cowsay/cowsay-3.03-1.src.rpm
Description:
cowsay is a configurable talking cow, written in Perl.  It operates
much as the figlet program does, and it written in the same spirit
of silliness.
It generates ASCII pictures of a cow with a message. It can also generate
pictures of other animals.

rpmlint gives following output:
W: cowsay non-conffile-in-etc /etc/bash_completion.d/cowsay.bashcomp
but that same output is given on rpmlint.rpm so it looks like we can ignore it.
Comment 1 Mamoru TASAKA 2007-01-01 22:58:47 EST
Actually I know this application because I use this
for cowsaver, one of hacks which can be used for xscreensaver.

I will review this.

* Use "cp -p" to keep timestamps ("Timestamps" in
  http://fedoraproject.org/wiki/Packaging/Guidelines )

* Please fix the description of man package according to
  installed paths.

* How about randomize a cow which is choosen?
Comment 2 Mamoru TASAKA 2007-01-01 23:05:00 EST
Created attachment 144618 [details]
wrapper script I use to randomize cowsay

c.f.

"animalsay", which I use for cowsaver to randomize
animal used by cowsay.
Comment 3 Michał Bentkowski 2007-01-02 12:39:04 EST
Thanks for review!
I have uploaded new SRPM and Spec files:
Spec URL: http://ecik.nonlogic.org/cowsay/cowsay.spec
SRPM URL: http://ecik.nonlogic.org/cowsay/cowsay-3.03-2.src.rpm

I hope it's good enough right now :)
Comment 4 Mamoru TASAKA 2007-01-02 13:37:01 EST
[tasaka1@localhost cowsay]$ cat 1.log | animalsay -W 100
 _____________________________________________________________________________________________________

/ Thank you for adding my "animalsay" script!!                                 
                      \
|                                                                              
                      |
| Well, = rpmlint issue                                                        
                      |
|                                                                              
                      |
| W: cowsay non-conffile-in-etc /etc/bash_completion.d/cowsay.bashcomp         
                      |
|                                                                              
                      |
| = This _must_ be ignored for this case. = Timestamps, man file description are
now okay. = License, |
| md5sum okay = Other things are also okay... accroding to                     
                      |
|                                                                              
                      |
| http://fedoraproject.org/wiki/Packaging/Guidelines                           
                      |
|                                                                              
                      |
| http://fedoraproject.org/wiki/Packaging/ReviewGuidelines                     
                      |
|                                                                              
                      |
| -----------------------------------------------------------                  
                      |
|                                                                              
                      |
\ This package (cowsay) is APPROVED by me.                                     
                      /
 -----------------------------------------------------------------------------------------------------

       \    ____
        \  /    \
          | ^__^ |
          | (oo) |______
          | (__) |      )\/\
           \____/|----w |
                ||     ||

                 Moofasa
Comment 5 Michał Bentkowski 2007-01-02 15:49:56 EST
 _____________________________________________________
/ I had to slightly modify animalsay script ;-)       \
|                                                     |
| Thank you again for review!                         |
|                                                     |
| Package succesfully built for FC-5, FC-6 and devel. |
|                                                     |
\ Closing.                                            /
 -----------------------------------------------------
   \
    \
        .--.
       |o_o |
       |:_/ |
      //   \ \
     (|     | )
    /'\_   _/`\
    \___)=(___/
Comment 6 Jon Stanley 2008-05-05 17:45:29 EDT
Package Change Request
======================
Package Name: cowsay
Updated EPEL Owners: jstanley
New Branches: EL-4 EL-5

 ____________
< Thank You! >
 ------------
   \
    \
        .--.
       |o_o |
       |:_/ |
      //   \ \
     (|     | )
    /'\_   _/`\
    \___)=(___/

Comment 7 Kevin Fenzi 2008-05-05 17:56:36 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.